petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMSetRefineLevel

Set's the number of refinements that have generated this DM.

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMSetRefineLevel(DM dm,PetscInt level)

Not Collective

### Input Parameter

| dm | - the DM object
| level | - number of refinements

### Notes

This value is used by PCMG to determine how many multigrid levels to use

### See Also

DMCoarsen(), DMGetCoarsenLevel(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

advanced

### Location

src/dm/interface/dm.c

### Examples

src/ksp/ksp/examples/tutorials/ex65.c.html
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages